%define name vdrift
%define version 0.2
%define fulldate 2008-02-23
%define date %(echo %{fulldate} | sed -e 's/-//g')
%define release %mkrel 0.%{date}.4
%define distname %{name}-%{fulldate}-RC1

Summary: Driving simulation
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{distname}.tar.bz2
Patch0: vdrift_sconstruct.patch
License: GPL
Group: Games/Arcade
Url: http://vdrift.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: scons
BuildRequires: SDL-devel SDL_image-devel SDL_net-devel libSDL_gfx-devel
BuildRequires: mesaglu-devel
BuildRequires: freealut-devel, openal-devel, libvorbis-devel, bullet-devel, glew-devel
Requires: %{name}-data

%description
VDrift is a cross-platform, open source driving simulation made with
drift racing in mind.

%prep
%setup -q -n %{distname}
%patch0 -p0

%build
ln -sf %{_includedir}/bullet .
scons NLS=0 use_binreloc=0

%install
rm -rf %{buildroot}
install -D -m755 build/%{name} %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}/data

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=VDrift
Comment=Driving simulation
Exec=soundwrapper %_gamesbindir/%{name}
Icon=%{_gamesdatadir}/%{name}/data/textures/icons/%{name}-64x64.png
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/AUTHORS docs/ChangeLog docs/NEWS docs/README docs/TODO docs/VAMOS.txt
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/data
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Fri Mar 14 2008 Antoine Ginies <aginies@mandriva.com> 0.2-0.20080223.4mdv2008.1
+ Revision: 187868
- new release
- remove duplicate patch entry
- rename sconstruct patch
- add glew-devel buildrequires, remove graphics.cpp patch, update to latest release 2008-02-23-RC1 to be able
  to report bug to upstream with a recent release.

* Fri Mar 14 2008 Antoine Ginies <aginies@mandriva.com> 0.2-0.20071226.4mdv2008.1
+ Revision: 187785
- fix path for graphics.cpp in patch
- don't return an exception for "OpenGL error on FBO end"

* Thu Mar 13 2008 Antoine Ginies <aginies@mandriva.com> 0.2-0.20071226.3mdv2008.1
+ Revision: 187459
- bump release
- fix path to icon

* Tue Mar 11 2008 Antoine Ginies <aginies@mandriva.com> 0.2-0.20071226.2mdv2008.1
+ Revision: 186959
- fix carrier return in patch
- add patch tag
- fix build using bullet system includes
- scons build must use bullet headers
- remove old source

* Tue Mar 11 2008 Antoine Ginies <aginies@mandriva.com> 0.2-0.20071226.1mdv2008.1
+ Revision: 185172
- new tarball
- add some buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-0.20070323.1mdv2008.0
+ Revision: 20016
- new snapshot
- drop P0
- add buildrequires on SDL_gfx0-devel


* Fri Jan 05 2007 Olivier Blin <oblin@mandriva.com> 0.1-2.20061006mdv2007.0
+ Revision: 104365
- buildrequires freealut-devel
- build with freealut

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.1-1.20061006mdv2007.1
+ Revision: 90003
- add menu entry

* Sun Nov 05 2006 Olivier Blin <oblin@mandriva.com> 0.1-0.20061006mdv2007.1
+ Revision: 76798
- buildrequire SDL_net-devel
- buildrequire SDL_image-devel
- initial vdrift release
- Create vdrift

